package com.yunyan.business.service;

import java.util.List;
import com.yunyan.business.domain.FillDate;
import com.baomidou.mybatisplus.extension.service.IService;

import com.yunyan.common.core.domain.AjaxResultVo;

/**
 * 报告期限设置Service接口
 *
 * @author yunyan
 * @date 2023-07-27
 */
public interface IFillDateService extends IService<FillDate>
{

    /**
     * 查询报告期限设置列表
     *
     * @param fillDate 报告期限设置
     * @return 报告期限设置集合
     */
    public List<FillDate> selectFillDateList(FillDate fillDate);

    /**
    * 新增
    * @param
    * @return
    */
    AjaxResultVo add(FillDate dto);

    /**
     * 编辑
     * @param
     * @return
     */
    AjaxResultVo edit(FillDate dto);

    /**
     * 详情
     * @param id
     * @return
     */
    AjaxResultVo info(Long id);

    /**
     * 获取本年的 填报日期
     * @param type
     * @param type
     * @param deptId 单位的id()
     * @return
     */
    FillDate getFillDateByYearType(Integer type, String year, Long deptId);

    /**
     * 检查 单位的填报日期 是否符合
     * @param deptId
     * @return
     */
    int getFillDateValidNum(Integer type, Long deptId, String year);

}
